import 'dart:convert';

import '../../../requestCache.dart';
import 'getSubjects.dart';
import 'getSubjectsResponse.dart';

class GetSubjectsCache extends RequestCache<GetSubjectsResponse> {
  GetSubjectsCache({onUpdate}) : super(RequestCache.cacheHour, onUpdate) {
    start('wu-subjects');
  }

  @override
  Future<GetSubjectsResponse> onLoad() => GetSubjects().run();

  @override
  onLocalData(String json) => GetSubjectsResponse.fromJson(jsonDecode(json));

}
