import 'package:flutter/material.dart';

import 'loadable_state_consumer.dart';

class LoadableStatePrimaryLoading extends StatelessWidget {
  final bool visible;
  const LoadableStatePrimaryLoading({required this.visible, super.key});

  @override
  Widget build(BuildContext context) => AnimatedOpacity(
      opacity: visible ? 1.0 : 0.0,
      duration: LoadableStateConsumer.animationDuration,
      curve: Curves.easeInOut,
      child: const Center(child: CircularProgressIndicator()),
    );
}
