import 'package:freezed_annotation/freezed_annotation.dart';

part 'grade_averages_state.freezed.dart';
part 'grade_averages_state.g.dart';

@freezed
class GradeAveragesState with _$GradeAveragesState {
  const factory GradeAveragesState({
    required GradeAveragesGradingSystem gradingSystem,
    required List<int> grades,
  }) = _GradeAveragesState;

  factory GradeAveragesState.fromJson(Map<String, dynamic> json) => _$GradeAveragesStateFromJson(json);
}

enum GradeAveragesGradingSystem {
  highSchool,
  middleSchool,
}
