import 'package:dio/dio.dart';

import '../../../infrastructure/dataLoader/data_loader.dart';
import '../../../basis/dataloader/mhsl_data_loader.dart';
import '../bloc/marianum_message_state.dart';

class MarianumMessageGetMessages extends MhslDataLoader<MarianumMessageList> {
  @override
  Future<Response<String>> fetch() async => dio.get('/message/messages.json');
  @override
  MarianumMessageList assemble(DataLoaderResult data) => MarianumMessageList.fromJson(data.json);
}
